/domain-dialin-config
curl --request GET \
--url https://api.daily.co/v1/domain-dialin-config \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.daily.co/v1/domain-dialin-config"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.daily.co/v1/domain-dialin-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total_count": 2,
"data": [
{
"id": "bfd0c52b-3a2a-4269-80ce-cae9eef55536",
"type": "pinless_dialin",
"config": {
"sip_uri": "user--1739943585193@daily-<domainId>-stage-pinless-sip.dapp.signalwire.com",
"name_prefix": "new-api"
}
},
{
"id": "0cb313e1-211f-4be0-833d-8c7305b19902",
"type": "pin_dialin",
"config": {
"sip_uri": null,
"name_prefix": "new-api-pin",
"phone_number": "+12555599999"
}
}
]
}{
"error": "invalid-request-error",
"info": "missing required field"
}Domain Dial-In Config
List Domain Dialin Configs
List all the pinless_dialin and pin_dialin configs for the domain, with pagination
GET
/
domain-dialin-config
/domain-dialin-config
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
a comma separated list of phone numbers to filter by. The filter will match any phone number that contains the provided numbers as a substring (partial match).
The sip username associated with this dial-in config (only the username part of the sip uri)
The type of dial-in config. It can be pinless_dialin or pin_dialin.